#pragma semicolon 1

#include <sourcemod>
#include <vip_core>
#include <smrpg>

public Plugin myinfo =
{
	name = "[VIP] [SMRPG] Exp Multiplier",
	author = "R1KO (skype: vova.andrienko1)",
	version = "1.0"
};

static const char g_sFeature[] = "SMRPGExpMultiplier";

public void OnPluginStart()
{
	if(VIP_IsVIPLoaded())
	{
		VIP_OnVIPLoaded();
	}
}

public void OnPluginEnd()
{
	if(CanTestFeatures() && GetFeatureStatus(FeatureType_Native, "VIP_UnregisterFeature") == FeatureStatus_Available)
	{
		VIP_UnregisterFeature(g_sFeature);
	}
}

public void VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(g_sFeature, FLOAT, HIDE);
}

public Action SMRPG_OnAddExperience(int iClient, const char[] szReason, int &iExperience, int iOther)
{
	if(VIP_IsClientVIP(iClient) && VIP_IsClientFeatureUse(iClient, g_sFeature))
	{
		float fMultiplier = VIP_GetClientFeatureFloat(iClient, g_sFeature);
		if(fMultiplier)
		{
			iExperience = RoundToCeil(float(iExperience)*fMultiplier);
		}
		return Plugin_Changed;
	}
	return Plugin_Continue;
}
